Get subscription
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions/{webhook_subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions/{webhook_subscription_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-finops-version': '<x-finops-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/webhook-subscriptions/{webhook_subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_types": [
"<string>"
],
"object_type": "account",
"status": "enabled",
"url": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Webhook subscriptions
Get subscription
GET
/
finops
/
v1
/
webhook-subscriptions
/
{webhook_subscription_id}
Get subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Available options:
account, accounting_connection, approval, approval_request, approval_policy, approval_policy_process, batch_payment, comment, counterpart, counterpart_address, counterpart_bank_account, counterpart_contact_person, counterpart_partner_metadata, counterpart_tax_id, entity, entity_bank_account, entity_settings, entity_user, export, overdue_reminder, partner_settings, payable, payables_credit_note, payables_purchase_order, payable.line_item, payment, payment_intent, payment_link, payment_reminder, product, project, receivable, recurrence, role, tag, todo_task, workflow, workflow_pipeline, ocr_task, delivery_note, receipt, transaction Available options:
enabled, disabled Required string length:
1 - 2083Was this page helpful?